Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Stub_Auto_Ptr Class Reference

Implements the draft C++ standard auto_ptr abstraction. This class allows one to work Stub Objects *Only*! More...

`#include <Stub.h>`

Collaboration diagram for TAO_Stub_Auto_Ptr:

[legend]
List of all members.

## Public Methods
| TAO_Stub_Auto_Ptr (TAO_Stub *p=0)
| TAO_Stub_Auto_Ptr (TAO_Stub_Auto_Ptr &ap)
TAO_Stub_Auto_Ptr & | operator= (TAO_Stub_Auto_Ptr &rhs)
| ~TAO_Stub_Auto_Ptr (void)
TAO_Stub & | operator * () const
TAO_Stub * | get (void) const
TAO_Stub * | release (void)
void | reset (TAO_Stub *p=0)
TAO_Stub * | operator-> () const
## Protected Attributes
TAO_Stub * | p_

## Detailed Description

Implements the draft C++ standard auto_ptr abstraction. This class allows one to work Stub Objects *Only*!

## Constructor & Destructor Documentation

ACE_INLINE TAO_Stub_Auto_Ptr::TAO_Stub_Auto_Ptr | ( | TAO_Stub * | p = 0 | ) |

ACE_INLINE TAO_Stub_Auto_Ptr::TAO_Stub_Auto_Ptr | ( | TAO_Stub_Auto_Ptr & | ap | ) |

ACE_INLINE TAO_Stub_Auto_Ptr::~TAO_Stub_Auto_Ptr | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE TAO_Stub * TAO_Stub_Auto_Ptr::get | ( | void |  | ) | const

ACE_INLINE TAO_Stub & TAO_Stub_Auto_Ptr::operator * | ( |  | ) |

ACE_INLINE TAO_Stub * TAO_Stub_Auto_Ptr::operator-> | ( |  | ) |

ACE_INLINE TAO_Stub_Auto_Ptr & TAO_Stub_Auto_Ptr::operator= | ( | TAO_Stub_Auto_Ptr & | rhs | ) |

ACE_INLINE TAO_Stub * TAO_Stub_Auto_Ptr::release | ( | void |  | ) |

ACE_INLINE void TAO_Stub_Auto_Ptr::reset | ( | TAO_Stub * | p = 0 | ) |

## Member Data Documentation

TAO_Stub* TAO_Stub_Auto_Ptr::p_`[protected]`

The documentation for this class was generated from the following files:

- Stub.h
- Stub.i